Package org.apache.sysds.runtime.iogen.codegen

## Enum CodeGenTrieNode.NodeType

- java.lang.Object
- - java.lang.Enum<CodeGenTrieNode.NodeType>
  - - org.apache.sysds.runtime.iogen.codegen.CodeGenTrieNode.NodeType

All Implemented Interfaces:
  `Serializable`, `Comparable<CodeGenTrieNode.NodeType>`

Enclosing class:
  CodeGenTrieNode

    public static enum CodeGenTrieNode.NodeType
    extends Enum<CodeGenTrieNode.NodeType>

### Enum Constant Summary

Enum Constants
`COL`
`INDEX`
`ROW`
`VALUE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`String` `toString()`
`static CodeGenTrieNode.NodeType` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static CodeGenTrieNode.NodeType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### VALUE

    public static final CodeGenTrieNode.NodeType VALUE

#### ROW

    public static final CodeGenTrieNode.NodeType ROW

#### COL

    public static final CodeGenTrieNode.NodeType COL

#### INDEX

    public static final CodeGenTrieNode.NodeType INDEX

### Method Detail

#### values

    public static CodeGenTrieNode.NodeType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CodeGenTrieNode.NodeType c : CodeGenTrieNode.NodeType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CodeGenTrieNode.NodeType valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<CodeGenTrieNode.NodeType>`